aboutsummaryrefslogtreecommitdiffhomepage
path: root/performance-test/notmuch-perf-test
diff options
context:
space:
mode:
authorGravatar David Bremner <bremner@debian.org>2012-11-17 12:28:15 -0400
committerGravatar David Bremner <bremner@debian.org>2012-11-26 08:39:21 -0400
commit7beeb8c88a014ecbc53d8241f10683b3c4c16228 (patch)
treeccd4592417e741447cf97904bab1fd8888f78948 /performance-test/notmuch-perf-test
parent20b7e0ff2f12e612dee00efc6ff1634aae8172a4 (diff)
test: initial performance testing infrastructure
This is not near as fancy as as the unit tests, on the theory that the code should typically be crashing when performance tuning. Nonetheless, there is plenty of room for improvement. Several more of the pieces of the test infrastructure (e.g. the option parsing) could be factored out into test/test-lib-common.sh
Diffstat (limited to 'performance-test/notmuch-perf-test')
-rwxr-xr-xperformance-test/notmuch-perf-test25
1 files changed, 25 insertions, 0 deletions
diff --git a/performance-test/notmuch-perf-test b/performance-test/notmuch-perf-test
new file mode 100755
index 00000000..1bea3452
--- /dev/null
+++ b/performance-test/notmuch-perf-test
@@ -0,0 +1,25 @@
+#!/usr/bin/env bash
+
+# Run tests
+#
+# Copyright (c) 2005 Junio C Hamano
+#
+# Adapted from a Makefile to a shell script by Carl Worth (2010)
+
+if [ ${BASH_VERSINFO[0]} -lt 4 ]; then
+ echo "Error: The notmuch test suite requires a bash version >= 4.0"
+ echo "due to use of associative arrays within the test suite."
+ echo "Please try again with a newer bash (or help us fix the"
+ echo "test suite to be more portable). Thanks."
+ exit 1
+fi
+
+cd $(dirname "$0")
+
+TESTS="
+ basic
+"
+
+for test in $TESTS; do
+ ./$test "$@"
+done